quickie_prime(1)

NAME
quickie_prime - pre-cache html from wiki files

SYNOPSIS
quickie_prime [ option... ]

DESCRIPTION
The quickie_prime program is used to bring a Quickie directory tree up-to-date. The directory is walked, and each .wiki file is examined.

If the corresponding .html file is not up-to-date (or does not exist) it will be regenerated in the same way quickie(1) does on-the-fly for edited pages.

If the corresponding ,svt file is not up-to-date (or does not exist) the .wiki file will be checked in, in the same way that quickie(1) does on-the-fly for edited pages.

By using the quickie_prime program you can pre-cache the .wiki pages for better performance. It is also used by the Quickie install to bring the initial tree of wiki files up-to-date, including all of the back links.

OPTIONS
The following options are understood:

-D directory-path
    This option mant be used to specify the root of the wiki tree to be regenerated. You can't do it for a subtree; you must specify the root of whe whole wiki tree.

-v  This option causes quickie_prime to be verbose about what it is doing. Specifying it once tells you about each directory walked (is is supposed to make at least two passes). Specifying this option twice adds information about each file it processes.

All other options will produce a diagnostic error.

EXIT STATUS
The quickie_prime command will exit with a status of 1 on any error. The quickie_prime command will only exit with a status of 0 if there are no errors.

COPYRIGHT
quickie_prime version 1.1
Copyright (C) 2005, 2006 Peter Miller;
All rights reserved.

The quickie_prime program comes with ABSOLUTELY NO WARRANTY; for details use the 'quickie_prime -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'quickie_prime -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/